View Issue Details

IDProjectCategoryView StatusLast Update
14411Bug reports[All Projects] Survey designpublic2019-04-30 09:11
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityminor 
Status closedResolutionreopened 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14411: Ranking choice height is to big than needed in case of filter
Description

If you have different height for a filtered ranking question : height is not updated

Steps To Reproduce

Import included survey : check the 3 first options in 1st question
Uncheck the 2 first options
Height still bigger than needed.

Additional Information

need a filter by visible (relevance visible)

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.6
I will donate to the project if issue is resolvedNo
Browserff
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 14406 closedDenisChenu 'Ranking' Question with Computed Answers Is Allocating Insufficient Row Height 

Activities

DenisChenu

DenisChenu

2019-01-09 09:42

developer  

limesurvey_survey_rankingFilter.lss (24,252 bytes)
DenisChenu

DenisChenu

2019-01-09 09:58

developer   ~50130

https://github.com/LimeSurvey/LimeSurvey/commit/7677de1c89688a8e72c55d821f52f6ec55eaf60a

DenisChenu

DenisChenu

2019-01-09 12:38

developer   ~50133

Still an issue : function happen before global function is called …

DenisChenu

DenisChenu

2019-01-09 14:57

developer   ~50136

https://github.com/LimeSurvey/LimeSurvey/commit/7fecdabdde03853102c4b36ffbc50c97cc939c90

DenisChenu

DenisChenu

2019-01-15 09:27

developer   ~50202

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28726

Related Changesets

LimeSurvey: master 7677de1c

2019-01-09 09:56:31

DenisChenu

Details Diff
Fixed issue 14411: Ranking choice height is to big than needed in case of filter
Dev: lauch setChoiceHeight (and setListHeight) when event happen for hidden
Affected Issues
14411
mod - assets/packages/questions/ranking/scripts/ranking.js Diff File

Issue History

Date Modified Username Field Change
2019-01-09 09:42 DenisChenu New Issue
2019-01-09 09:42 DenisChenu File Added: limesurvey_survey_rankingFilter.lss
2019-01-09 09:42 DenisChenu Relationship added related to 14406
2019-01-09 09:42 DenisChenu Assigned To => DenisChenu
2019-01-09 09:42 DenisChenu Status new => assigned
2019-01-09 09:58 DenisChenu Status assigned => resolved
2019-01-09 09:58 DenisChenu Resolution open => fixed
2019-01-09 09:58 DenisChenu Fixed in Version => 3.15.x
2019-01-09 09:58 DenisChenu Note Added: 50130
2019-01-09 12:38 DenisChenu Status resolved => feedback
2019-01-09 12:38 DenisChenu Resolution fixed => reopened
2019-01-09 12:38 DenisChenu Note Added: 50133
2019-01-09 12:38 DenisChenu Status feedback => assigned
2019-01-09 14:57 DenisChenu Status assigned => resolved
2019-01-09 14:57 DenisChenu Note Added: 50136
2019-01-15 09:27 DenisChenu Changeset attached => LimeSurvey master 7677de1c
2019-01-15 09:27 DenisChenu Note Added: 50202
2019-04-30 09:11 c_schmitz Status resolved => closed